<?xml version="1.0"?>
<configuration>
  <configSections>
    <sectionGroup name="businessObjects">
      <sectionGroup name="crystalReports">
        <section name="rptBuildProvider" type="CrystalDecisions.Shared.RptBuildProviderHandler, CrystalDecisions.Shared, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304, Custom=null" />
      </sectionGroup>
    </sectionGroup>
    <section name="oracle.manageddataaccess.client" type="OracleInternal.Common.ODPMSectionHandler, Oracle.ManagedDataAccess, Version=4.122.1.0, Culture=neutral, PublicKeyToken=89b483f429c47342" />
  </configSections>
  <connectionStrings>
    <add name="DBConnection" connectionString="gDyjbM1uuacpihkecyGHnFhgNFHZbitx9ZyGdFcaY+YVHAEGrok2EGk6ZdQmCCz+pn7lPwOMfv4ziNvcqSJZlnXo7sS1domZRZTxThecoz0=" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <system.web>
    <!--AD-->
    <!--<authentication mode="Windows" />
    <identity impersonate="false" />-->
    <!--AD-->
    <httpRuntime maxRequestLength="1048576" />
    <siteMap defaultProvider="English">
      <providers>
        <remove name="MySqlSiteMapProvider" />
        <add name="English" type="System.Web.XmlSiteMapProvider" siteMapFile="~/Web.sitemap" />
        <add name="Arabic" type="System.Web.XmlSiteMapProvider" siteMapFile="~/Web2.sitemap" />
      </providers>
    </siteMap>
    <customErrors mode="RemoteOnly" defaultRedirect="ErrorPage.aspx" />
    <sessionState timeout="20" />
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <!--<add assembly="CrystalDecisions.CrystalReports.Design, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />-->
        <add assembly="CrystalDecisions.ReportSource, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692FBEA5521E1304" />
        <add assembly="CrystalDecisions.Shared, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
        <add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
        <add assembly="CrystalDecisions.CrystalReports.Engine, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
        <add assembly="CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
        <add assembly="DevExpress.Web.v14.2, Version=14.2.3.0, Culture=Neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Data.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Printing.v14.2.Core, Version=14.2.3.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.Utils.v14.2, Version=14.2.3.0, Culture=Neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraEditors.v14.2, Version=14.2.3.0, Culture=Neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraCharts.v14.2, Version=14.2.3.0, Culture=Neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraCharts.v14.2, Version=14.2.3.0, Culture=Neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraCharts.v14.2.UI, Version=14.2.3.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraCharts.v14.2.Web, Version=14.2.3.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="DevExpress.XtraPrinting.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=B88D1754D700E49A" />
        <add assembly="VSLangProj, Version=7.0.3300.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="SMDiagnostics, Version=3.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="Microsoft.Transactions.Bridge, Version=3.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
        <add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Data, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Configuration, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Xml, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Configuration.Install, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.ServiceProcess, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Web.Extensions.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Services, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.DirectoryServices, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.DirectoryServices.Protocols, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.EnterpriseServices, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.RegularExpressions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Mobile, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="WindowsBase, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Data.Services.Client, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="Accessibility, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Abstractions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Data.Services.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Data.Entity, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Messaging, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Data.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Security, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.IdentityModel.Selectors, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Runtime.Serialization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.IdentityModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.ServiceModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.ServiceModel.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="Microsoft.VisualC, Version=10.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Management.Instrumentation, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <!--<add assembly="Oracle.Web, Version=4.122.1.0, Culture=neutral, PublicKeyToken=89B483F429C47342" />-->
        <add assembly="Oracle.ManagedDataAccess, Version=4.122.1.0, Culture=neutral, PublicKeyToken=89B483F429C47342" />
      </assemblies>
      <!--<buildProviders>
        <add extension=".rpt" type="CrystalDecisions.Web.Compilation.RptBuildProvider, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
      </buildProviders>-->
      <!--<buildProviders>
      <add extension=".rpt" type="CrystalDecisions.Web.Compilation.RptBuildProvider, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
    </buildProviders>-->
      <buildProviders>
        <add extension=".rpt" type="CrystalDecisions.Web.Compilation.RptBuildProvider, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
      </buildProviders>
    </compilation>
    <httpHandlers>
      <add type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" verb="GET" path="DX.ashx" validate="false" />
      <add path="CrystalImageHandler.aspx" verb="GET" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=10.2.3600.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
      <add path="Reserved.ReportViewerWebControl.axd" verb="*" type="Microsoft.Reporting.WebForms.HttpHandler, Microsoft.ReportViewer.WebForms, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" validate="false" />
      <add verb="GET" path="FtbWebResource.axd" type="FreeTextBoxControls.AssemblyResourceHandler, FreeTextBox" />
      <add verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" />
    </httpHandlers>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" />
    <httpModules>
      <add name="ASPxHttpHandlerModule" type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    </httpModules>
  </system.web>
  <system.webServer>
    <httpErrors errorMode="Custom">
      <!--AD-->
      <!--<remove statusCode="502" subStatusCode="-1" />
      <remove statusCode="501" subStatusCode="-1" />
      <remove statusCode="500" subStatusCode="-1" />
      <remove statusCode="412" subStatusCode="-1" />
      <remove statusCode="406" subStatusCode="-1" />
      <remove statusCode="405" subStatusCode="-1" />
      <remove statusCode="404" subStatusCode="-1" />
      <remove statusCode="403" subStatusCode="-1" />
      <remove statusCode="401" subStatusCode="-1" />-->
      <!--AD-->
    </httpErrors>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="1073741824" />
      </requestFiltering>
    </security>
    <validation validateIntegratedModeConfiguration="false" />
    <httpProtocol>
      <customHeaders>
        <clear />
        <add name="X-UA-Compatible" value="IE=edge" />
      </customHeaders>
    </httpProtocol>
    <handlers>
      <add name="CrystalImageHandler.aspx_GET" verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" preCondition="integratedMode" />
    </handlers>
    <modules>
      <add name="ASPxHttpHandlerModule" type="DevExpress.Web.ASPxHttpHandlerModule, DevExpress.Web.v14.2, Version=14.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    </modules>
  </system.webServer>
  <!--AD-->
  <!--<location path="">
    <system.web>
      <authorization>
        <deny users="?" />
        <allow users="*" />
      </authorization>
    </system.web>
  </location>-->
  <!--AD-->
  <location allowOverride="true" inheritInChildApplications="true">
    <appSettings>
      <!--Fileupload-->
      <add key="MinFileSize" value="1000" />
      <add key="MaxFileSize" value="5242880" />
      <add key="DefaultLeaveID" value="1" />
      <add key="Ex_JPEG" value=".jpeg" />
      <add key="Ex_JPG" value=".jpg" />
      <add key="Ex_BMP" value=".bmp" />
      <add key="Ex_PNG" value=".png" />
      <add key="Ex_PDF" value=".pdf" />
      <add key="Ex_DOC" value=".doc" />
      <add key="Ex_DOCX" value=".docx" />
      <!--Fileupload-->
      <!--AD-->
      <add key="LDAPrequired" value="0" />
      <add key="LDAPDomainName" value="" />
      <add key="LDAAuthenticalUser" value="" />
      <add key="LDAAuthenticalUserPwd" value="iqqqlZnBo6Q=" />
      <!--AD-->
      <add key="DelarLogo" value="Images/AngLogoNew.png" />
      <add key="DefaultLanguage" value="Resources.Resource_EN" />
      <add key="FolderContainingRawData" value="D:\Projects\Inprogress\Timeat0906\raw\docs\Client_Documents\TXT Files\TXT Files" />
      <add key="FolderToMoveProcessedFiles" value="D:\Projects\New Folder" />
      <add key="CrystalImageCleaner-AutoStart" value="true" />
      <add key="CrystalImageCleaner-Sleep" value="60000" />
      <add key="CrystalImageCleaner-Age" value="120000" />
      <add key="WeekOffShortName" value="Off" />
      <!--added Newly the below key, so while upgrade to any client please add to their web config file if the version is below of 2.9 -->
      <add key="isRequiredEmail" value="1" />
      <add key="SMTPClientHost" value="192.168.0.211" />
      <add key="FromId" value="admin@angleritech.com" />
      <add key="SMTPPort" value="25" />
      <add key="SSLEnable" value="0" />
      <add key="MailAuthentication" value="0" />
      <add key="MailAuthenticateUser" value="" />
      <add key="MailAuthenticatePassword" value="" />
      <add key="dd/MM/yyyy" value="DD/MM/YYYY" />
      <add key="MM/dd/yyyy" value="MM/DD/YYYY" />
      <add key="dd-MMM-yyyy" value="DD-MMM-YYYY" />
      <add key="M/d/yyyy" value="M/d/yyyy" />
      <add key="M/d/yy" value="M/d/yy" />
      <add key="MM/dd/yy" value="MM/dd/yy" />
      <add key="yy/MM/dd" value="yy/MM/dd" />
      <add key="yyyy-MM-dd" value="yyyy-MM-dd" />
      <add key="dd-MMM-yy" value="dd-MMM-yy" />
      <!--12 Hours format-->
      <add key="hh:mm tt" value="LT" />
      <!--24 Hours format-->
      <add key="HH:MM" value="HH:mm" />
      <!--<add key="HH:MM" value="HH:MM"/>-->
      <add key="LicenseKey" value="LicenseFile" />
      <add key="Info" value="30" />
      <add key="ExelProvider1" value="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" />
      <add key="ExelProvider2" value="; Jet OLEDB:Engine Type=5;Extended Properties=Excel 8.0;" />
      <add key="MDBConnectionString1" value="Provider=Microsoft.ACE.OLEDB.12.0;Data Source=" />
      <add key="MDBConnectionString2" value=";user id=" />
      <add key="MDBConnectionString3" value=";password=" />
      <add key="Validate1" value="JHMTLxSSjA7+VE3MKoDxqg==" />
      <add key="Validate2" value="XytD/3092AHB9q19h9vjwg==" />
      <add key="ServerIP" value="http://www.anglertimecheck.com/" />
      <add key="PermissionApplyHours_Grace" value="00:00" />
      <add key="Footer_CopyRightInfo" value="Copyright  ANGLER Technologies" />
      <add key="ImportDelimiter" value="," />
      <add key="aspnet:UseLegacyBrowserCaps" value="true" />
      <add key="mailSendMethod" value="1" />
      <add key="OLServices.ol_services" value="http://173.192.0.201/TCLicense/ol_services.asmx" />
      <add key="googleMapKey" value="https://maps.googleapis.com/maps/api/js?key=123SyDW-T1Crcplj3M-c1ERyaLVS5czLQaouEA" />
    </appSettings>
    <system.webServer>
      <defaultDocument>
        <files>
          <clear />
          <add value="index.aspx" />
        </files>
      </defaultDocument>
    </system.webServer>
  </location>
  <businessObjects>
    <crystalReports>
      <rptBuildProvider>
        <add embedRptInResource="true" />
      </rptBuildProvider>
    </crystalReports>
  </businessObjects>
  <system.data>
    <DbProviderFactories>
      <remove invariant="Oracle.ManagedDataAccess.Client" />
      <add name="ODP.NET, Managed Driver" invariant="Oracle.ManagedDataAccess.Client" description="Oracle Data Provider for .NET, Managed Driver" type="Oracle.ManagedDataAccess.Client.OracleClientFactory, Oracle.ManagedDataAccess, Version=4.122.1.0, Culture=neutral, PublicKeyToken=89b483f429c47342" />
    </DbProviderFactories>
  </system.data>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <publisherPolicy apply="no" />
        <assemblyIdentity name="Oracle.ManagedDataAccess" publicKeyToken="89b483f429c47342" culture="neutral" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <oracle.manageddataaccess.client>
    <version number="*">
      <dataSources>
        <dataSource alias="SampleDataSource" descriptor="(DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=localhost)(PORT=1521))(CONNECT_DATA=(SERVICE_NAME=ORCL))) " />
      </dataSources>
    </version>
  </oracle.manageddataaccess.client>
</configuration>